#include "StdAfx.h";
#include "Deck.h";
#include <vector>;
#include <string>;
#include "Card.h";
#include <time.h>;
#include <iostream>;


//every time a deck is created, a vector of 52 cards is created
Deck::Deck(void)
{

	//go through all 15 ranks and create a club,diamond,heard and spade for each rank
	for ( int i = 2 ; i < 15; i++ ) 	
	{
		Card aCard(Card::suits_t::CLUB,i);
		vecOfCards.push_back(aCard);
		aCard = Card(Card::suits_t::DIAMOND,i);
		vecOfCards.push_back(aCard);
		aCard = Card(Card::suits_t::HEART,i);
		vecOfCards.push_back(aCard);
		aCard = Card(Card::suits_t::SPADE,i);
		vecOfCards.push_back(aCard);
	}
	
}


Deck::~Deck(void)
{
}


//shuffles the deck when the deck is a vector.
void Deck::vectorShuffle()
{	
	Card tempCard;
	srand(time(NULL));
	int pickFromSpot;
	for(int i = 0 ; i < vecOfCards.size() ; i++)
	{
		pickFromSpot = rand()%(vecOfCards.size()-1) ;
		tempCard = vecOfCards.at(i);
		vecOfCards.at(i) = vecOfCards.at(pickFromSpot);
		vecOfCards.at(pickFromSpot) = tempCard;
	}
	for(int i = 0 ; i < (vecOfCards.size()) ; i++)
	{
		pickFromSpot = rand()%(vecOfCards.size()-1) ;
		tempCard = vecOfCards.at(i);
		vecOfCards.at(i) = vecOfCards.at(pickFromSpot);
		vecOfCards.at(pickFromSpot) = tempCard;
	}
	for(int i = 0 ; i < (vecOfCards.size()) ; i++)
	{
		pickFromSpot = rand()%(vecOfCards.size()-1) ;
		tempCard = vecOfCards.at(i);
		vecOfCards.at(i) = vecOfCards.at(pickFromSpot);
		vecOfCards.at(pickFromSpot) = tempCard;
	}
}


//shuffles the deck when the deck is a list
void Deck::listShuffle()
{

}


//just pops off the top card and returns it
Card Deck::dealTopCard()
{
	Card tempCard;
	if(!vecOfCards.empty())
	{
		tempCard = vecOfCards.at(vecOfCards.size()-1);
		vecOfCards.pop_back();
	}
	else
	{
		cout << "the Deck is exhausted, game over!";
	}
	return tempCard;
}