#pragma once

#include <vector>

using namespace std;

class HandClass
{
public:
	//STRAIGHT_FLUSH0, FOUR_KIND1, FULL_HOUSE2, FLUSH3, STRAIGHT4,THREE_KIND5, TWO_PAIR6, PAIR7, HIGH_CARD8
	enum handClassification_t{STRAIGHT_FLUSH, FOUR_KIND, FULL_HOUSE, FLUSH, STRAIGHT,THREE_KIND, TWO_PAIR, PAIR, HIGH_CARD};
	int classPositions[5]; //this lists all the positions of the cards that form the hand of the given class
	HandClass(void);
	~HandClass(void);
	void init_classPositions(); //sets class positions to -1
	void inti_classPositionsVec();
	handClassification_t getClassification();
	void setClassification(handClassification_t theClass);
	void setLoaded();
	bool isItLoaded();
	vector<int> getClassPositionsVec();
	void addClassPoisionsVec(int aPosition);
private:
	handClassification_t classification;
	bool loaded;  //this is a boolean that just tells us if this position in the handclass vector has been loaded
	vector<int> classPositionsVec;
};

