#pragma once

#include "Deck.h"
#include <vector>
#include "npcPlayer.h"
#include "Player.h"
#include "userPlayer.h"
#include "Listener.h"
#include "pokerViewerController.h"

class aPokerGame
{
private:
	Deck theDeck;
	int numPlayers;
	char stopPlaying;
	vector<npcPlayer> theOpponents;
	Player theUserPlayer;
	pokerViewerController theViewerController;

public:
	aPokerGame(void);
	~aPokerGame(void);
	void playGame();
	void stopGame();
	void setNumPlayers(int numPlayers);
};

