#include "StdAfx.h"
#include "Card.h"
#include "aSuit.h"
#include <string>
#include <iostream>

using namespace std;

Card::Card(void)
{
}


Card::~Card(void)
{
}

Card::Card(Card::suits_t aSuit, int aRank)
{
	theSuit = aSuit;
	rank = aRank;
}

//gets the suit of a card
Card::suits_t Card::getSuit()
{
	return theSuit;
}

//sets the suit of a card
void Card::setSuit(Card::suits_t setSuit)
{
	theSuit = setSuit;
}


//takes the suit enum and gives back the string it corresponds to
std::string Card::getSuitString(Card::suits_t aSuit)
{
	switch(aSuit){
	case HEART:
		return "Hearts";
	case DIAMOND:
		return "Diamonds";
	case CLUB:
		return "Clubs";
	case SPADE:
		return "Spades";
	}

}

//takes the face enum and give back the string it corresponds to
std::string Card::getFaceString(Card::faces_t aFace)
{
	switch(aFace){
	case JACK:
		return "Jack";
	case QUEEN:
		return "Queen";
	case KING:
		return "King";
	case ACE:
		return "Ace";
	}


}


Card::faces_t theFace;
//print card to the command line
void Card::printToCL()
{
	if(rank < 11 )
	{
		cout << rank << " of ";
	}
	else
		switch(rank){
		case 11:
			theFace = Card::JACK;
			cout << getFaceString(theFace) << " of ";
			break;
		case 12:
			theFace = Card::QUEEN;
			cout << getFaceString(theFace) << " of ";
			break;
		case 13:
			theFace = Card::KING;
			cout << getFaceString(theFace) << " of ";
			break;
		case 14:
			theFace = Card::ACE;
			cout << getFaceString(theFace) << " of ";
			break;
		}
	;
	cout << getSuitString(theSuit);

}



//gets the private rank integer
int Card::getRank()
{
	return rank;
}

//sets the rank
void Card::setRank(int aRank)
{
	rank = aRank;
}