#ifndef Card_h
#define Card_h
#pragma once

#include "aSuit.h"
#include <string>

class Card
{

public:
	enum suits_t{CLUB, DIAMOND,  HEART, SPADE};
	enum faces_t{JACK, QUEEN, KING, ACE};
	Card(void);
	~Card(void);
	Card(Card::suits_t aSuit, int aRank);
	Card::suits_t getSuit();
	int getRank();
	void setSuit(Card::suits_t theSuit);
	void printToCL();
	std::string getSuitString(suits_t aSuit);
	std::string getFaceString(faces_t aFace);
	void setRank(int aRank);
private:	
	Card::suits_t theSuit;
	//Card::suits_t anotherSuit;
	int rank;
};
#endif