#include "StdAfx.h"
#include "Dealer.h"
#include "Deck.h"
#include "Player.h"
#include "Hand.h"
#include <iostream>
#include <string>
#include "npcPlayer.h"
#include <typeinfo>


Dealer::Dealer(void)
{
}


Dealer::~Dealer(void)
{
}


Card aCard;
Hand tempHand;
//does nothing but deal a hand to a player
void Dealer::DealAHand(Deck &theDeck, Player &thePlayer)
{
	//dea five cards into a hand
	for(int i = 0 ; i < 5 ; i++)
	{
		aCard = theDeck.dealTopCard();	
		thePlayer.dealCardToPlayer(aCard);
	}
	

}


////checks the input type and range
//bool checkIntType(int anInt)
//{
//	if(typeid(anInt).name() =="int" ){return true;}
//	else{return false;}
//}

//checks the input range
bool checkIntRange(int anInt,int low,int high)
{	
	if(anInt>=low && anInt<=high ){return true;}
	else{return false;}
}

////ensures a char is a char
//bool checkCharType(char dropACard)
//{
//	if(typeid(dropACard).name() =="string"{return true;}
//	else{return false;}
//}

//deals n cards to a npcPlayer
int Dealer::dealThreeCardsToPlayer(Player &thePlayer, int cardsToSwap[3], Deck &theDeck)
{
	int x = cardsToSwap[0];
	int y = cardsToSwap[1];
	int z = cardsToSwap[2];


	int howManyDealt = 0;
	//given the positions, a Hand can swap cards : given a position in the card vector, swapcard  () will deal a card into that spot
	for(int i = 0 ; i < 3 ; i++)
	{
		if(cardsToSwap[i] != -1)
		{
			//swap card at that spot
			thePlayer.getHand().swapCard(theDeck, cardsToSwap[i]);
			howManyDealt++;
		}
	}
	return howManyDealt;
}

//deals n cards to a user player
void Dealer::DealNCards(Deck& theDeck, Player& thePlayer, pokerViewerController theViewerController)
{	
	char yesNoInput[2] =  {'y','n'};
	Card tempCard;
	int cardPosition;
	//vector<int> cardPosition;
	int cardPosition1[3]= {0};
	//int cardPosition2;
	char dropACard;
	string cardString;
	//int* whichCards;
	int numCardsToDrop = 3;
	int numberOfCardsToDrop = 0;
	while( numCardsToDrop > 0)
	{			
		if(numCardsToDrop == 3) 
		{
			cout << "\n Here is your hand: \n";
			theViewerController.DrawHand(thePlayer.getHand());
			cout << "\n Discard a card? (y/n) ";
		}
		else
		{
			cout << "\n Discard another card? (y/n) ";
		}
		dropACard = theViewerController.theInputHandler.getChar(yesNoInput, 2);
		if( dropACard == 'y')
		{	
			bool notChosen = true;
			while(notChosen){
				cout << "\n Which card? ";
				cardPosition = theViewerController.theInputHandler.getInt(1,5);
//				checkIntRange(cardPosition, 1, 5);
				//checkIntType(cardPosition);
				if( cardPosition1[0] != cardPosition && cardPosition1[1] != cardPosition && cardPosition1[2] != cardPosition )
				{
					cardPosition1[3-numCardsToDrop] = cardPosition;  //check if they have already discarded that card
					notChosen = false;
				}	
				else
				{
					cout << "You have already discarded that card";
				}
			}
			numCardsToDrop--;
			numberOfCardsToDrop++;
		}
		else if (dropACard == 'n' )
		{
			numCardsToDrop = 0;
		}
		else
		{
			cout << "\n Try again.";
		}
		if(numCardsToDrop == 0 && cardPosition1[0] !=0 )
		{
			//swap the cards out
			for(int i = 0 ; i < numberOfCardsToDrop ; i++)
			{
				thePlayer.getHand().swapCard(theDeck, cardPosition1[i] - 1);
			}
		}

	}
	//cout << "\n Here is your hand: \n";
	//thePlayer.getHand().printToCL();	
}


//decide which is the winning hand
void decideWhoWins(Player theUser, vector<npcPlayer> theOpps)
{
	theUser.getHand();
}
