#include "StdAfx.h"
#include "InputHandler.h"
#include <iostream>
#include <string>
#include <sstream>

using namespace std;

InputHandler::InputHandler(void)
{
}


InputHandler::~InputHandler(void)
{
}

//gets an int in a range min to max
int InputHandler::getInt(int min, int max)
{

	string inputString;
	int inputInt;
	bool inputNotValid = true;
	while(inputNotValid)
	{
		cin >> inputString;
		stringstream convert(inputString);
		if(!(convert >> inputInt))
		{
			cout << "\n Invalid input.  Please re-enter. \n";
		}
		else
		{
			cout << "\n You entered " << inputInt << "\n";
			if(inputInt >= min && inputInt <= max )
			{
				inputNotValid = false;
			}
			else
			{
				cout << "\n Too high or too low \n";
			}
		}

	}
	return inputInt;
}


//gets a char that is equal to a char in a list
char InputHandler::getChar(char possChars[], int sizeOfArray)
{
	bool inputIsValid = false;
	string inputStr;

	while(!inputIsValid)
	{
		cin >> inputStr;
		for(int i = 0; i < sizeOfArray ; i++)
		{
			if(inputStr.at(0) == possChars[i])
			{
				inputIsValid = true;
				break;
			}
		}
		if(inputIsValid)
		{
			cout << "You entered " << inputStr.at(0);
		}
		else
		{
			cout<< "\n Invalid.  Re-enter. \n";
		}
	}
	return inputStr.at(0);
}