#include "StdAfx.h"
#include "Pot.h"
#include "Player.h"


Pot::Pot(void)
{
	numPenniesInPot = 0;
}


Pot::~Pot(void)
{
}


//returns the int of the pot value
int Pot::getPotValue()
{
	return numPenniesInPot;
}


//adds a bet to the pot
void Pot::addToPot(int aBet)
{
	numPenniesInPot = numPenniesInPot + aBet;
}


//moves pennies from pot to winner
void Pot::playerCollectsWinnings(Player& theWinner)
{
	//remove pennies from pot, give to winner
	theWinner.addWinnings(numPenniesInPot);
	numPenniesInPot=0;
}