#include "StdAfx.h"
#include "npcPlayer.h"
#include <time.h>
#include "Pot.h"
#include <iostream>
#include "HandClass.h"
#include <time.h>


npcPlayer::npcPlayer(void)
{
}


npcPlayer::~npcPlayer(void)
{
}


//a bit of ai to decide the npc bet
int npcPlayer::decideNPCBet(int theCurrentBet)
{
	srand ( time(NULL) );

	//get a random number and use it to decide if the npc player is going to up the bet
	getHand().establishHandClasses();
	switch(getHighestHandClass().getClassification())
	{
	case 0:
		break;
	case 1:
		break;
	case 2:
		break;
	case 3:
		break;
	case 4:
		break;
	case 5:
		break;
	case 6:
		break;
	case 7:
		break;
	case 8:
		break;
	}
	return 0;
}


//this is a bit of AI but right now is just random.  We pass in the current bet and it can be raised, though there needs to be a notification to the rest of the players that the bet has been raised
int npcPlayer::npcBets(Pot& thePot, int &theCurrentBet)
{	

	//int theBet = rand()%Player::getNumPennies();
	int theBet = theCurrentBet;
	Player::takeBetFromPennies(theBet);
	thePot.addToPot(theBet);
	return theBet;
}

//A non player character needs a number to identify him
void npcPlayer::setPlayerNumber(int playersNum)
{
	npcPlayer::playerNumber = playersNum;
}

//returns the npc player id
int npcPlayer::getPlayerNumber()
{
	return playerNumber;
}

//takes an int[] of card positions and returns and int[] of cards that are in the hand but not equal to any of the positions in the array passed in
int * cardsToBeSwapped(int  goodPositions[5])
{
	bool iNotToBeSwapped = false;
	int * tempPos = new int[3];
	tempPos[0] = -1;
	tempPos[1] = -1;
	tempPos[2] = -1;
	int loadIndex = 0;
   for(int i = 0 ; i < 5 ; i++)
   {
	   iNotToBeSwapped = false;
	   for(int j = 0 ; j < 5 ; j++)
	   {
		   if(goodPositions[j] == i)
		   {
			   iNotToBeSwapped = true;
		   }
	   }
	   if(!iNotToBeSwapped)
	   {
		   tempPos[loadIndex] = i;
		   loadIndex++;
	   }

   }
   return tempPos;
}

//STRAIGHT_FLUSH, FOUR_KIND, FULL_HOUSE, FLUSH, STRAIGHT(4),THREE_KIND(5), TWO_PAIR, PAIR(7), HIGH_CARD(8)
//does different things based on what is the highest hand, just on the off case that a good hand has already appeared
//groomhand can just produce the positions of cards to swap out
int* npcPlayer::groomHandAI()
{
	Hand tempHand;
	tempHand = getHand();
	//need to set return value to new int[3] and then set each element individually
	int * returnValue =  new int[3];
	returnValue[0] = -1;
	returnValue[1] = -1;
	returnValue[2] = -1;
	//some ai that will help an npc get a better hand that I will implement later
	(getHand()).establishHandClasses();
	tempHand = getHand();
	switch(findHighestHand().getClassification())
	{
		case 0 :
			return returnValue;
			break;
		case 1 :
			return returnValue;
			break;
		case 2 :
			return returnValue;
			break;
		case 3 :
			return returnValue;
			break;
		case 4 : //straight
			return returnValue;
			break;
		case 5 : //three of a kind
			return cardsToBeSwapped(getHighestHandClass().classPositions);
			break;
		case 6 : //two pair
			return cardsToBeSwapped(getHighestHandClass().classPositions);
			break;
		case 7 : //pair
			//if there is a pair, and nearly a straight, then we should go for straight
			//if there is a pair, and nearyly a flush we should go for flush
			//discard the other three
			//HandClass tempPos = getHighestHandClass();
			return cardsToBeSwapped(getHighestHandClass().classPositions);
			break;
		case 8:
			//check for straightening
			//check for flushening
			//keep three highest cards, or keep flushing cards or keep straightening cards
			//pick three random cards
			int * randomThree = new int[3];
			randomThree[0] = 0;
			randomThree[1] = 1;
			randomThree[2] = 2;
			return randomThree;
			break;
	}

	int x = returnValue[0];
	int y = returnValue[0];
	int z = returnValue[0];
	cout << "";
}

//some ai that will help an npc get a better hand that I will implement later
int * npcPlayer::swapCards()
{
	int * j ;
	j = groomHandAI();
	int x = j[0];
	int y = j[1];
	int z = j[2];
	return groomHandAI();
	
}



//sets an opponents hand for testing
void npcPlayer::setNPCPlayerHandForTest()
{
	switch(playerNumber)
	{
		case 1:
			//this is for testing purposes
			getHand().getTheCards()[0].setRank(2);
			getHand().getTheCards()[1].setRank(2);
			getHand().getTheCards()[2].setRank(2);
			getHand().getTheCards()[3].setRank(3);
			getHand().getTheCards()[4].setRank(9);
			getHand().getTheCards()[0].setSuit(Card::SPADE);
			getHand().getTheCards()[1].setSuit(Card::SPADE);
			getHand().getTheCards()[2].setSuit(Card::SPADE);
			getHand().getTheCards()[3].setSuit(Card::SPADE);
			getHand().getTheCards()[4].setSuit(Card::CLUB);
			//this is for testing purposes
			break;
		case 2:
			//this is for testing purposes
			getHand().getTheCards()[0].setRank(5);
			getHand().getTheCards()[1].setRank(6);
			getHand().getTheCards()[2].setRank(3);
			getHand().getTheCards()[3].setRank(2);
			getHand().getTheCards()[4].setRank(10);
			getHand().getTheCards()[0].setSuit(Card::SPADE);
			getHand().getTheCards()[1].setSuit(Card::HEART);
			getHand().getTheCards()[2].setSuit(Card::DIAMOND);
			getHand().getTheCards()[3].setSuit(Card::CLUB);
			getHand().getTheCards()[4].setSuit(Card::HEART);
			//this is for testing purposes
			break;
		case 3:
			//this is for testing purposes
			getHand().getTheCards()[0].setRank(4);
			getHand().getTheCards()[1].setRank(9);
			getHand().getTheCards()[2].setRank(11);
			getHand().getTheCards()[3].setRank(3);
			getHand().getTheCards()[4].setRank(7);
			getHand().getTheCards()[0].setSuit(Card::SPADE);
			getHand().getTheCards()[1].setSuit(Card::HEART);
			getHand().getTheCards()[2].setSuit(Card::DIAMOND);
			getHand().getTheCards()[3].setSuit(Card::CLUB);
			getHand().getTheCards()[4].setSuit(Card::HEART);
			//this is for testing purposes
			break;
	}

}