#pragma once

#include <vector>
#include "Deck.h"
#include "npcPlayer.h"
#include "Player.h"
#include "userPlayer.h"
#include "Dealer.h"
#include "pokerViewerController.h"
#include "Listener.h"

class pokerRound
{
private:
	int tableLimit;
public:
	pokerRound(void);
	~pokerRound(void);
	bool startRound(vector<npcPlayer> &theOpponents, userPlayer &theUser,Deck &theDeck, Dealer &theDealer, pokerViewerController theViewerController);
	npcPlayer& getWinningOpponent(vector<npcPlayer>& theOpponents);
};

