#pragma once

#include "Hand.h"
#include "InputHandler.h"
#include "Listener.h"
#include "Card.h"
#include "npcPlayer.h"
#include "Player.h"

class pokerViewerController : public Listener
{
private:
public:
	InputHandler theInputHandler;
	pokerViewerController(void);
	~pokerViewerController(void);
	void DrawHand(Hand theHand);
	void printCardToCli(Card aCard);
	virtual void listen();
	void NotifyPlayerWins(int numPennies, Player thePlayer);
	void NotifyOpponentWins(npcPlayer theWinningOpponent);
	void NotifyOfOppnentLeavingGame(npcPlayer theLoser);
	void NotifyUserOfMajorWin();
	void NotifyUserOfMajorLoss();
};

